## javax.portlet
Annotation Type ProcessEvent

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface ProcessEvent

Annotation for marking a method for handling a specific event. The `GenericPortlet` tries to dispatch to methods annotated with the tag `@ProcessEvent` for any received event.

Since:
  2.0

Optional Element Summary
`java.lang.String` `name` Local part of the event name.
`java.lang.String` `qname` Event QName.

### qname

    public abstract java.lang.String qname

  Event QName. Must be in the format:
  "{" + Namespace URI + "}" + local part.
  If the Namespace URI equals(XMLConstants.NULL_NS_URI), only the local part is used (like the `javax.xml.namespace.QName.toString()` method).

  Returns:
    event QName.
  Default:
    ""

### name

    public abstract java.lang.String name

  Local part of the event name. The namespace for the events is either taken from the `default-event-namespace` element in the portlet deployment descriptor, or if this element is not provided the XML default namespace XMLConstants.NULL_NS_URI is used.

  Returns:
    local part of the event name.
  Default:
    ""

Copyright © 2010. All Rights Reserved.